Navigateurs compatibles

Image Tout ce qui est en rapport avec l'hébergement , codes , sites , blogs etc ...
Répondre
     
Avatar du membre

Auteur du sujet
fpoli75
Messages : 1123
Enregistré le : février 2012
Hébergeur(s) : Monarobase (et heureux!)
Localisation : IDF

Navigateurs compatibles

Message par fpoli75 » mar. 30 avr. 2013 14:34

Bonjour!

Je suis actuellement sous Internet Explorer 8 et P.A ainsi que mon forum n'est vraiment pas beau a voir hmmmm

Existe t'il un moyen ou un script pour que le forum detecte quel navigateur utilise le membre ou le visiteur et d'afficher un message demandant de faire les mises a jours vers le dernier IE ou bien directement Firefox?

Il existe encore des gens utilisants IE6 ou 7 et ils pensent que le site ne marche pas (affichage explosé)

merci.


tatav76
Messages : 199
Enregistré le : janvier 2013
Hébergeur(s) : monarobase
Localisation : 89
Contact :

Re: Navigateurs compatibles

Message par tatav76 » mar. 30 avr. 2013 14:43

:bravo: pour le topic meme problème
pas de problème avec chrome et mozilla mais alors ie :triste:

Avatar du membre

Steph
Administrateur phpBB Assistance
Administrateur phpBB Assistance
Messages : 11080
Enregistré le : avril 2010
Hébergeur(s) : monarobase
Localisation : Alsace (67)
Contact :

Re: Navigateurs compatibles

Message par Steph » mar. 30 avr. 2013 15:14

Salut,

Il existe bien des méthodes pour savoir quel navigateur est utilisé, mais il ne sert à rien de demander la mise à jour vers IE9 notamment pour des questions de compatibilité (ex XP ne permet que la version 8 au max)

Ensuite si les navigateurs ne sont pas à jour cela n'aidera pas mieux puisque tout le monde à largement eu le temps de le faire certains ne savent pas comment faire d'autres n'ont pas envie ni même le temps.

Avec l'hébergeur d'image EDW je m'efforce de tenter de rendre compatible avec IE, mais cela devient tellement complexe que je suis en train de laisser tomber tout doucement du moins en dessous de la version 9

Avatar du membre

Auteur du sujet
fpoli75
Messages : 1123
Enregistré le : février 2012
Hébergeur(s) : Monarobase (et heureux!)
Localisation : IDF

Re: Navigateurs compatibles

Message par fpoli75 » mar. 30 avr. 2013 16:11

au moins un script détectant le navigateur et si c'est IE 1 a 8 ca dirige vers une message de blah blah indiquant que le site risque de merder.

Avatar du membre

Steph
Administrateur phpBB Assistance
Administrateur phpBB Assistance
Messages : 11080
Enregistré le : avril 2010
Hébergeur(s) : monarobase
Localisation : Alsace (67)
Contact :

Re: Navigateurs compatibles

Message par Steph » mar. 30 avr. 2013 16:44

Tout simplement en ajoutant <!--[if lte IE 9]>HTML ET/OU TEXTE<![endif]--> dans le code source

Ce code interprétera le code sur toutes les versions d'IE inférieure a la version 9

Avatar du membre

EnYgmA
Administrateur phpBB Assistance
Administrateur phpBB Assistance
Messages : 8655
Enregistré le : avril 2010
Hébergeur(s) : Monarobase
Localisation : Au soleil
Contact :

Re: Navigateurs compatibles

Message par EnYgmA » mar. 30 avr. 2013 18:16

Moralité: passez par Chrome / Firefox
Très absent en ce moment ...
Conditions générales de services - Conditions générales de support - C.G.U
Merci de mettre un titre de sujet explicite pour toutes vos demandes de support
Référencement gratuit - Forum informatique

Avatar du membre

Auteur du sujet
fpoli75
Messages : 1123
Enregistré le : février 2012
Hébergeur(s) : Monarobase (et heureux!)
Localisation : IDF

Re: Navigateurs compatibles

Message par fpoli75 » mar. 30 avr. 2013 18:32

sur mon forum, j'ai des vielles personnes.. genre 65ans.
dur dur de leur faire mettre a jour leurs navigateur, deja qu'ils confondent navigateur windows 7 et navigateur internet explorer. :gun:

Avatar du membre

EnYgmA
Administrateur phpBB Assistance
Administrateur phpBB Assistance
Messages : 8655
Enregistré le : avril 2010
Hébergeur(s) : Monarobase
Localisation : Au soleil
Contact :

Re: Navigateurs compatibles

Message par EnYgmA » mar. 30 avr. 2013 18:46

Sincèrement, je ne comprends pas pourquoi on s'amuse à poser des rustines partout pour les beaux yeux d'un navigateur qui titube !

Les puristes diront que c'est un défi dans la compatibilité (certes), moi je dis que c'est inutile (après chacun fait et pense ce qu'il veut) :na:

Dans les semaines à venir je vais me bricoler un site pour le fun autant dire que je ne ferai rien pour IE, si c'est pour se casser le cul à poser des conditions et rajouter des bouts de code d'autant plus.

Après pour les utilisateurs je tiens un peu le même discours, si ça déconne avec un navigateur boiteux(IE7/8), pourquoi rester sur celui ci ? :mouh:

Là encore on va me sortir "les habitudes" à la bonheur ... Qu'ils ne se plaignent pas dans ce cas si ils ne veulent pas se mettre au gout du jour.
Très absent en ce moment ...
Conditions générales de services - Conditions générales de support - C.G.U
Merci de mettre un titre de sujet explicite pour toutes vos demandes de support
Référencement gratuit - Forum informatique

Avatar du membre

Sille
Membre Tranquility
Membre Tranquility
Messages : 4316
Enregistré le : mai 2011
Hébergeur(s) : mon@robase.net c'est clair et net !
Localisation : Au dessus de la Seine et de la Marne.
Contact :

Re: Navigateurs compatibles

Message par Sille » mar. 30 avr. 2013 19:50

Salut,

Qui c'est qui m'a encore énervé EnYgmA ? :xpdr: :lol:

Bon c'est vrai si on veut on trouve toujours un truc qui va pas (BBcode spoiler avec Chrome par exemple :fii: )
Ensuite moins on touche à la base moins il y a de bug d'affichage, donc plus il y a de MOD plus c'est limite je trouve. Maintenant ne pas faire évoluer un forum (car c'est quand phpbb le principal concerné non ?! :fii: ) pour les caprices d'un navigateur serait idiot.
fpoli75 a écrit : sur mon forum, j'ai des vielles personnes.. genre 65ans.
J'aime bien le : "genre" :xpdr:
EnYgmA a écrit : Dans les semaines à venir je vais me bricoler un site pour le fun


Si tu as du temps à perdre je cherche quelqu'un pour mon joomla :fii: Y'a bien une formule adaptée non ? prévu prochainement sur le nouveau site P-A :Peace:

Sinon un moment sur mon portail dans le bloc "Bienvenue" j'avais indiqué un rappel concernant les mises à jour incontournables pour les 3 navigateurs et en fait comme dit précédemment par Steph c'est peine perdue ! Maintenant j'ai juste précisé "optimisé pour Firefox" car c'est le plus stable avant chrome. (pour moi sur mon forum) :clin:

Pas frapper surtout ! :fessee: :heyhey:
>> Solutions et Services PhpBB
>> Communauté Graphique

Soutenir >> Image

[6 ans de Pack] Image ici

Déjà 5 ans chez mon@robase.net Image Image

Avatar du membre

Auteur du sujet
fpoli75
Messages : 1123
Enregistré le : février 2012
Hébergeur(s) : Monarobase (et heureux!)
Localisation : IDF

Re: Navigateurs compatibles

Message par fpoli75 » mar. 30 avr. 2013 21:24

désolé Sille, je ne savais pas que tu avais faussé volontairement ton age dans ton profil :lol:
Donc, genre... les 3eme age! (ca le fait plus comme ca)

le probleme est qu'en un visiteur IE7/8 vient voir un forum non adapté, il dira qu'il deconne et ne viendra plus.
J'ai eu l'exemple aujourd'hui: " moi de juger votre site : :LOL: :((: :((: :((: :((: :((: :((:
Nous sommes en 2013 cher ami pensez à revoir la qualité et l'aspect graffic de votre site, etc......"

c'est dommage. ca énerve un peu!
Donc autant faire un message indiquant dès le depart que le site fonctionne avec IE9 mini et Co.

Répondre

Retourner vers « Support Webmastering »